View Issue Details

IDProjectCategoryView StatusLast Update
0000487Industrial-Craft²Agriculture / crops / Boozeceptionpublic2013-08-01 16:42
ReporterCespenarAssigned ToThunderdark 
PrioritynormalSeveritycrashReproducibilityN/A
Status resolvedResolutionfixed 
PlatformPCOSLinuxOS Versionkernel 3.8-10
Product Version 
Target VersionFixed in Version 
Summary0000487: minecraft crash when harvesting redwheat
DescriptionThe crash occurs together with my redwheat farm. As soon as a plant is grown the redwheat is auto harvested with a gregtech crop harvestor.
The farm was running nicely a few days and all of a sudden the game crashed repeatedly.
It keeps crashing every time a redwheat is being harvested, I can only recover by using a older version of my world (before first crash)
After going to a backup version farm was running well again for a few days and then the bug appeared again and made me need to use a backup

The moment when the game crashes I see a plant being harvested and a redwheat + wheat popping out ... then the game hangs and crashes
Steps To ReproduceUnsure, only seen the bug at a big (64 redwheat plants) farm, never when crossbreeding.
Only seen it with redwheat not with other plants.
Additional Informationwhen I destroy all redwheat plants the game does not crash anymore

attached crashlog
TagsNo tags attached.
Minecraft Version

Activities

Cespenar

2013-07-16 22:04

reporter  

crashlog.txt (7,528 bytes)
---- Minecraft Crash Report ----
// Surprise! Haha. Well, this is awkward.

Time: 16.07.13 22:43
Description: Ticking tile entity

java.lang.ArrayIndexOutOfBoundsException: -1
at ic2.core.block.TileEntityCrop.crop(TileEntityCrop.java:1055)
at ic2.core.block.TileEntityCrop.tick(TileEntityCrop.java:293)
at ic2.core.block.TileEntityCrop.func_70316_g(TileEntityCrop.java:183)
at net.minecraft.world.World.func_72939_s(World.java:2202)
at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:546)
at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:654)
at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:573)
at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:127)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:470)
at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:573)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Stacktrace:
at ic2.core.block.TileEntityCrop.crop(TileEntityCrop.java:1055)
at ic2.core.block.TileEntityCrop.tick(TileEntityCrop.java:293)
at ic2.core.block.TileEntityCrop.func_70316_g(TileEntityCrop.java:183)

-- Tile entity being ticked --
Details:
Name: TECrop // ic2.core.block.TileEntityCrop
Block type: ID #218 (blockCrop // ic2.core.block.BlockCrop)
Block data value: 0 / 0x0 / 0b0000
Block location: World: (-43,54,286), Chunk: (at 5,3,14 in -3,17; contains blocks -48,0,272 to -33,255,287), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
Actual block type: ID #218 (blockCrop // ic2.core.block.BlockCrop)
Actual block data value: 0 / 0x0 / 0b0000
Stacktrace:
at net.minecraft.world.World.func_72939_s(World.java:2202)
at net.minecraft.world.WorldServer.func_72939_s(WorldServer.java:546)

-- Affected level --
Details:
Level name: lets begin industrialcraft
All players: 1 total; [EntityPlayerMP['Cespenar'/413170, l='lets begin industrialcraft', x=-45,86, y=55,00, z=284,31]]
Chunk stats: ServerChunkCache: 514 Drop: 0
Level seed: -861401092
Level generator: ID 00 - default, ver 1. Features enabled: true
Level generator options:
Level spawn location: World: (-16,64,252), Chunk: (at 0,4,12 in -1,15; contains blocks -16,0,240 to -1,255,255), Region: (-1,0; contains chunks -32,0 to -1,31, blocks -512,0,0 to -1,255,511)
Level time: 89377205 game time, 93545448 day time
Level dimension: 0
Level storage version: 0x04ABD - Anvil
Level weather: Rain time: 36675 (now: false), thunder time: 22869 (now: false)
Level game mode: Game mode: survival (ID 0). Hardcore: false. Cheats: false
Stacktrace:
at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:654)
at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:573)
at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:127)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:470)
at net.minecraft.server.ThreadMinecraftServer.run(SourceFile:573)

-- System Details --
Details:
Minecraft Version: 1.5.2
Operating System: Linux (amd64) version 3.8-10.slh.2-aptosid-amd64
Java Version: 1.6.0_27, Sun Microsystems Inc.
Java VM Version: OpenJDK 64-Bit Server VM (mixed mode), Sun Microsystems Inc.
Memory: 3704283264 bytes (3532 MB) / 4215930880 bytes (4020 MB) up to 4215930880 bytes (4020 MB)
JVM Flags: 1 total; -Xms4G
AABB Pool Size: 6345 (355320 bytes; 0 MB) allocated, 5721 (320376 bytes; 0 MB) used
Suspicious classes: FML and Forge are installed
IntCache: cache: 0, tcache: 0, allocated: 3, tallocated: 63
FML: MCP v7.51 FML v5.2.23.737 Minecraft Forge 7.8.1.737 12 mods loaded, 12 mods active
mcp{7.51} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
FML{5.2.23.737} [Forge Mod Loader] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
Forge{7.8.1.737} [Minecraft Forge] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
CodeChickenCore{0.8.6.15} [CodeChicken Core] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
NotEnoughItems{1.5.2.25} [Not Enough Items] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
ChickenChunks{1.3.2.11} [ChickenChunks] (ChickenChunks 1.3.2.11.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
IC2{1.116.379-lf} [IndustrialCraft 2] (industrialcraft-2_1.116.379-lf.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
IC2NuclearControl{1.5.1c} [Nuclear Control] (IC2NuclearControl-1.5.1c.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
mod_ReiMinimap{v3.3_06 [1.5.2]} [mod_ReiMinimap] ([1.5.2]ReiMinimap_v3.3_06.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
AppliedEnergistics{rv11.e} [Applied Energistics] (appeng-rv11-e-mc15x.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
GregTech_Addon{MC151} [GregTech-Addon] (gregtechmod.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
GraviSuite{1.9.3} [Gravitation Suite] (mod_zGraviSuite_1_9_3.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available->Available
Profiler Position: N/A (disabled)
Vec3 Pool Size: 1101 (61656 bytes; 0 MB) allocated, 1041 (58296 bytes; 0 MB) used
Player Count: 1 / 8; [EntityPlayerMP['Cespenar'/413170, l='lets begin industrialcraft', x=-45,86, y=55,00, z=284,31]]
Type: Integrated Server (map_client.txt)
Is Modded: Definitely; Client brand changed to 'fml,forge'

crashlog.txt (7,528 bytes)

Thunderdark

2013-08-01 16:42

viewer   ~0001195

fix in git

Issue History

Date Modified Username Field Change
2013-07-16 22:04 Cespenar New Issue
2013-07-16 22:04 Cespenar File Added: crashlog.txt
2013-07-24 06:52 Thunderdark Assigned To => Thunderdark
2013-07-24 06:52 Thunderdark Status new => assigned
2013-08-01 16:42 Thunderdark Note Added: 0001195
2013-08-01 16:42 Thunderdark Status assigned => resolved
2013-08-01 16:42 Thunderdark Fixed in Version => 1.118 beta
2013-08-01 16:42 Thunderdark Resolution open => fixed